(require :asdf)

(let ((p *load-pathname*))
  (let ((d (make-pathname :host (pathname-host p)
			  :device (pathname-device p)
			  :directory (pathname-directory p))))
    (push d asdf:*central-registry*)))

(asdf:operate 'asdf:load-op '#:colorization-server :verbose NIL)

(defun wait-forever ()
  #+sbcl (loop (sb-sys:serve-event))
  )

(funcall (find-symbol "START-XML-RPC-SERVER" :s-xml-rpc) :port 8080)

(format T "~&Colorization server started.~%")

(wait-forever)



